Bug 1625109 - katello-debug.sh still calls katello-service status rather than foreman-maintain
Summary: katello-debug.sh still calls katello-service status rather than foreman-maintain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 07:04 UTC by Martin Bacovsky
Modified: 2019-05-14 12:38 UTC (History)
3 users (show)

Fixed In Version: katello-3.9.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 24767 None None None 2018-09-04 07:04:20 UTC

Description Martin Bacovsky 2018-09-04 07:04:18 UTC
katello-debug.sh still calls - 
---
add_cmd "katello-service status" "katello_service_status"
---

rather than using foreman-maintain to call the service status. This should be updated to something like -
---
add_cmd "foreman-mainain service status" "foreman-maintain_service_status"
---

to be properly updated and use foreman-maintain

Comment 1 Martin Bacovsky 2018-09-04 07:04:23 UTC
Created from redmine issue https://projects.theforeman.org/issues/24767

Comment 2 Martin Bacovsky 2018-09-04 07:04:27 UTC
Upstream bug assigned to None

Comment 4 Martin Bacovsky 2018-09-04 07:07:55 UTC
This patch is necessary to have valid status of remote databases in foreman-debug.

Comment 7 Lukas Pramuk 2018-12-10 13:20:17 UTC
VERIFIED.

@satellite-6.5.0-5.beta.el7sat.noarch
katello-debug-3.10.0-0.6.rc1.el7sat.noarch

by following manual reproducer:

# foreman-debug -d  /var/tmp/test
Processing... (takes a while)


 HOSTNAME: <SAT_FQDN>
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 7.6 (Maipo)
  FOREMAN: 1.20.0
     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]
   PUPPET: 5.5.0
  DENIALS: 0


A debug file has been created: /var/tmp/test.tar.xz (1262848 bytes)

To upload a tarball to our secure site, please use the -u option.

# tar -xOf /var/tmp/test.tar.xz test/foreman-maintain_service_status
COMMAND> foreman-maintain service status

Running Status Services
================================================================================
Get status of applicable services: 
Displaying the following service(s):

rh-mongodb34-mongod, postgresql, qdrouterd, qpidd, squid, pulp_celerybeat, pulp_resource_manager, pulp_streamer, pulp_workers, smart_proxy_dynflow_core, tomcat, dynflowd, httpd, puppetserver, foreman-proxy
/ displaying rh-mongodb34-mongod                                                
● rh-mongodb34-mongod.service - High-performance, schema-free document-oriented database
   Loaded: loaded (/usr/lib/systemd/system/rh-mongodb34-mongod.service; enabled; vendor preset: disabled)
   Active: active (running) since Sun 2018-12-02 04:24:22 EST; 1 weeks 1 days ago
...

| All services are running                                            [OK]      
--------------------------------------------------------------------------------

>>> service statuses are now acquired by foreman-maintain

Comment 10 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.